import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listPara(query) {
  return request({
    url: '/business/elevatorPara/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getPara(id) {
  return request({
    url: '/business/elevatorPara/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addPara(data) {
  return request({
    url: '/business/elevatorPara',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updatePara(data) {
  return request({
    url: '/business/elevatorPara',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delPara(id) {
  return request({
    url: '/business/elevatorPara/' + id,
    method: 'delete'
  })
}

export function updateModelParam(data) {
  return request({
    url: '/business/elevatorPara/updateModelParam',
    method: 'post',
    data: data
  })
}
